$headerHeight: $buildingUnit * 5;

.header {
    position: relative;
    width: 100%;
    z-index: 1000;
}

.header__top {
    position: relative;
    z-index: 1001;
    display: flex;
    align-items: center;
    height: $headerHeight;
    padding-left: $buildingUnit;

    color: $colorBlack;
    background-color: $colorWhite;

    &:before {
        content: ' ';
        display: block;
        position: absolute;
        top: 0;
        right: $navHeight;
        bottom: 0;
        left: 0;

        background-color: $colorBlack;
        opacity: 0;
        transition: opacity 0.2s ease(easeOutQuint);
    }

    @include min-desktop {
        padding: 0 $buildingUnit;
    }

    @include min-desktop-hd {
        padding: 0 ($buildingUnit * 2);
    }

    & .main-nav {
        position: unset;
    }

    & .main-nav--small {
        padding-bottom: $navHeight;

        .main-nav__list {
            position: absolute;
        }
    }

    & .sys-nav {
        margin-left: auto;
        transform: translateX(($navHeight + $buildingUnit) * -1);
        @include micro-animate(transform);

        @include min-desktop {
            transform: translateX(0);
        }
    }
}

.header__search {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    transform:translateX(0vw);

    @include min-desktop {
        left: $homeLinkWidth + 2 * $buildingUnit;
    }

    @include min-desktop-hd {
        left: $homeLinkDesktopHdWidth + 4 * $buildingUnit;
    }
}

.header__top,
.header__search .search__close-button {
    border-bottom: 1px solid $colorGrayLight;
}

.header--mobile-inverted {
    color: $colorWhite;

    &:before {
        opacity: 1;
    }

    @include min-desktop {
        color: $colorBlack;

        &:before {
            opacity: 0;
        }
    }
}

.header--absolute {
    position: absolute;
}

.header--fixed {
    will-change: transform;
    transform: translateY(0);
    position: fixed;
    top: 0;
    width: 100vw;
}

// Used by VUE transition
.search {
    &-enter, &-leave-to {
        transform: translateX(100vw);
    }
    &-enter-active, &-leave-active {
        transition: transform $defaultDuration $defaultEasing;
    }
}

.sys-nav-slide {
    &-enter, &-leave-to {
        transform: translateX(100vw);
    }
    &-enter-active, &-leave-active {
        transition: transform $defaultDuration $defaultEasing;
    }
}
